Subject: Re: CCL:Molecular transformation language

From: "Tamas E. Gunda" <[email-masked]>
Date: Mon, 21 Apr 2003 14:00:44 +0200

It is not a language but a program application, however, several manipulation features of those you'd
mentioned can be found in Mol2Mol:

http://web.interware.hu/frenzy/mol2mol

Tamas E. Gunda
Department of Pharmaceutical Chemistry
Medical and Health Center
University of Debrecen, POBox 36
H-4010 Debrecen, Hungary
[email-masked]

----- Original Message -----
From: "Daniel Svozil" <[email-masked]>
To: <[email-masked]>
Sent: Friday, April 18, 2003 13:37
Subject: CCL:Molecular transformation language

> Hi,
>
> I am doing some calculations with the molecules differently oriented
> each to other and a lot of time takes to prepare the coordinate files
> for those system. So I started looking for some possibility how to
> automatize this process as much as possible.
>
> Do you know, is there any programming language or library of the existing
> language that offers this functionality?
>
> Here are some my ideas what should such a system include:
> - easy, but powerful way how to select atoms for the transformations
>   (e.g. select the whole backbone, select all waters in system, select
>   atoms number 1,3,6, select atoms that are not further than 3 angstroms
>   from the given atom/point, select all carbons, etc., etc.)
> - some sort of clever coordinate systems, so I can say e.g. rotate this
>   H atom in H2O around the axis defined by thos OH bond, etc.
> - the possibility to read/wite at least PDB, XYZ would be also nice
> - possibility to calculate different geometric characteristics (bond
>   lenghts, angles, dihedrals) for the given set of atoms
> - simple molecular viewer to check the transformed system (e.g. just
>   wireframe, with scene rotation/translation/zooming, with the
>   possibility to measure lengths/angles/dihedrals)
> - the language should be interpreted, not compiled
>
> So far I went through VMD, PyMol, NAB and currently I am ivestigating
> MMTK package. VMDs functionality is much broader and I didn't figure
> out, how to perform some transformation tasks, though I am sure it can
> be done. PyMol has very poor documentation, especially transformation
> procedure seem to be undocumented. NAB (http://www.scripps.edu/case/casegr-sh-2.2.html) is a manipulation
language for DNA/proteins, but it could probably be used for other systems as well. Unfortunately, I didn't
suceed with the compilation under Linux (
>
> So to summarize, I didn't find any simple scriptable molecular
> transformation system so far. I am sure that such a software would be
> interesting for a lot people. Maybe I am looking in the wrong direction.
> Any help would be more than appreciated.
>
> Regards
>   Dan
>
> --
> Daniel Svozil, PhD
> Institute of Organic Chemistry and Biochemistry
> and Center for Complex Molecular Systems and Biomolecules
> http://www.molecular.cz/
> Czech Republic
>
> phone: +420-2-20 183 263
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
>
>
>
>
>